> For the complete documentation index, see [llms.txt](https://docs.infotopics.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.infotopics.com/deployment-and-licensing/tableau-platform-support/tableau-desktop-support/adding-an-extension-to-a-dashboard.md).

# Adding an extension to a dashboard

### Add an extension to the dashboard

1. Start Tableau and open a workbook that has a dashboard, or open a workbook and create a new dashboard.
2. In the dashboard, under Objects, select Extensionand drag it on to the dashboard.\
   ![](https://appsfortableau.infotopics.com/wp-content/uploads/2023/06/drag-extension-1024x729.png)
3. In the popup select the ‘Access Local Extensions’ on the bottom right.
4. Every Tableau extension has a manifest file (`.trex`) that describes the extension and identifies the location of the web application.
5. If prompted, allow or deny the dashboard extension access to the data in the workbook.\
   All extensions have access to the summary data in the dashboard (this is the visible data). Some dashboard extensions might request access to full data, which includes the underlying data in the view, and information about the data sources, such as the names of the connection, fields, and tables. For more information, [Data security and dashboard extensions](https://onlinehelp.tableau.com/v2018.2/pro/desktop/en-us/dashboard_extensions.html#Data).If access is granted, the dashboard extension appears and runs through the initialization sequence. Follow any on screen instructions for configuring and running the extension with your dashboard.

#### Configure a dashboard extension

Some dashboard extension provide a configuration option that allows you to select the settings to apply. If the extension provides configuration option, you can access the settings from the shortcut menu in the dashboard zone.

1. Select the extension zone in the dashboard, and click More Options from the drop-down menu in the upper-right corner.
2. Click Configure….![Tableau Desktop Creator Extensions  tableau extensions](https://appsfortableau.infotopics.com/wp-content/uploads/2018/06/extensions_configure_sm.png)Follow the on-screen instructions for configuring the extension.

#### Reload a dashboard extension

If the dashboard extension becomes unresponsive or in some unworkable state, you might need to reload it. Reloading the extension is similar to refreshing a web page in a browser.

1. Select the extension zone in the dashboard, and click More Options from the drop-down menu in the upper-right corner
2. Click Reload.\
   The dashboard extension is refreshed and should be set to its original starting state. If reloading the extension fails to restore it to a useable state, you can try removing the extension and adding it to the dashboard again.

#### Remove a dashboard extension

You can remove a dashboard extension from the dashboard just like you can remove any other dashboard object.

1. Select the extension zone in the dashboard, and click Remove from Dashboard from the drop-down menu in the upper-right corner.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.infotopics.com/deployment-and-licensing/tableau-platform-support/tableau-desktop-support/adding-an-extension-to-a-dashboard.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
